package com.hithomelabs.princeton1.module5;

public class Insertion<E> extends AbstractCustomSorts<E> {
    @Override
    public void sort(E[] arr) {
        for(int i=1; i<arr.length; i++){
            int k = i;
            for(int j=i-1; j>=0 && less((Comparable<E>) arr[k], arr[j]); j--){
                exch(arr, k, j);
                k = j;
            }
        }
    }
}

